> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Public Avatars

> Get public avatars list



## OpenAPI

````yaml /openapi.json get /v1/avatars/public
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/avatars/public:
    get:
      tags:
        - Avatar
      summary: List Public Avatars
      description: Get public avatars list
      operationId: list_public_avatars_v1_avatars_public_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_PaginatedResponse_AvatarSchema__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Response_PaginatedResponse_AvatarSchema__:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          anyOf:
            - $ref: '#/components/schemas/PaginatedResponse_AvatarSchema_'
            - type: 'null'
        message:
          title: Message
          type: string
      type: object
      title: Response[PaginatedResponse[AvatarSchema]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaginatedResponse_AvatarSchema_:
      properties:
        count:
          type: integer
          title: Count
        next:
          title: Next
          type: string
        previous:
          title: Previous
          type: string
        results:
          items:
            $ref: '#/components/schemas/AvatarSchema'
          type: array
          title: Results
      type: object
      required:
        - count
        - results
      title: PaginatedResponse[AvatarSchema]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AvatarSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        space_id:
          title: Space Id
          type: string
        type:
          $ref: '#/components/schemas/AvatarTypeEnum'
          default: VIDEO
        status:
          $ref: '#/components/schemas/AvatarStatusEnum'
          default: INIT
        name:
          type: string
          title: Name
        preview_url:
          title: Preview Url
          type: string
        is_expired:
          type: boolean
          title: Is Expired
          default: false
        default_voice:
          anyOf:
            - $ref: '#/components/schemas/DefaultAvatarVoice'
            - type: 'null'
        is_1080p:
          type: boolean
          title: Is 1080P
          default: false
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        error_message:
          title: Error Message
          description: >-
            Error message if training failed (prefer detailed, fallback to
            short).
          readOnly: true
          type: string
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
        - error_message
      title: AvatarSchema
    AvatarTypeEnum:
      type: string
      enum:
        - IMAGE
        - VIDEO
      title: AvatarTypeEnum
    AvatarStatusEnum:
      type: string
      enum:
        - ACTIVE
        - INIT
        - DEPLOYING
        - FAILED
      title: AvatarStatusEnum
    DefaultAvatarVoice:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: DefaultAvatarVoice

````